﻿Public Class Persoon
    Public ReadOnly Property Naam As String
    Public ReadOnly Property GeboorteDatum As DateTime
    Public ReadOnly Property Leeftijd As Integer
        Get
            Return BerekenLeeftijd(DateTime.Today)
        End Get
    End Property
    Public Sub New(aNaam As String, aGeboorteDatum As DateTime)
        _Naam = aNaam
        _GeboorteDatum = aGeboorteDatum
    End Sub
    Private Function BerekenLeeftijd(refDatum As DateTime)
        Dim refGetal As Integer = refDatum.Year * 10000 + refDatum.Month * 100 + refDatum.Day
        Dim gebGetal As Integer = GeboorteDatum.Year * 10000 + GeboorteDatum.Month * 100 + GeboorteDatum.Day
        Dim leeftijd As Integer = (refGetal - gebGetal) \ 10000
        Return leeftijd
    End Function
End Class
