﻿Public Class UcPersoon
    Public Property Naam As String
        Get
            Return TxtNaam.Text
        End Get
        Set(value As String)
            TxtNaam.Text = value
        End Set
    End Property
    Public Property GeboorteDatum As DateTime
        Get
            Return DtGeboorteDatum.Value.Date
        End Get
        Set(value As DateTime)
            DtGeboorteDatum.Value = value.Date
        End Set
    End Property
    Private Sub TxtNaam_Validating(sender As Object, e As System.ComponentModel.CancelEventArgs) Handles TxtNaam.Validating
        If String.IsNullOrEmpty(TxtNaam.Text) Then
            ErrorProvider1.SetError(CType(sender, TextBox), "Naam moet ingevuld zijn")
            e.Cancel = True
        End If
    End Sub

    Private Sub DtGeboorteDatum_Validating(sender As Object, e As System.ComponentModel.CancelEventArgs) Handles DtGeboorteDatum.Validating
        If DtGeboorteDatum.Value.Date > DateTime.Today Then
            ErrorProvider1.SetError(CType(sender, DateTimePicker), "GeboorteDatum mag niet na vandaag liggen")
            e.Cancel = True
        End If
    End Sub

    Private Sub Control_Validated(sender As Object, e As EventArgs) Handles DtGeboorteDatum.Validated, TxtNaam.Validated
        ErrorProvider1.SetError(CType(sender, Control), "")
    End Sub

    Private Sub UcPersoon_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        AutoValidate = False
    End Sub
End Class
