﻿Module Module1
    Sub Main()
        Dim loonlijst(5) As Werknemer
        loonlijst(0) = New Arbeider("Jan", 15, 100)
        DirectCast(loonlijst(0), Arbeider).UrenGewerkt = 150
        loonlijst(1) = New Bediende("Piet", 2800)
        loonlijst(2) = New Bediende("Joris", 3200)
        loonlijst(3) = New Arbeider("Corneel", 17, 180)
        loonlijst(4) = New Arbeider("Joske", 14, 170)

        For Each w As Werknemer In loonlijst
            Console.WriteLine("{0} verdient {1}", w.Naam, w.Loon)
        Next
        Dim totaalloon As Decimal = BerekenLoon(loonlijst)
        Console.WriteLine("Het totale loon bedraagt {0}.", totaalloon)
    End Sub
    Function BerekenLoon(loonlijst As Werknemer()) As Decimal
        Dim loon As Decimal
        For Each w As Werknemer In loonlijst
            loon += w.Loon
        Next
        Return loon
    End Function
End Module
Public MustInherit Class Werknemer
    Private _naam As String
    Public Sub New(naam As String)
        Me._naam = naam
    End Sub
    Public MustOverride ReadOnly Property Loon As Decimal
    Public ReadOnly Property Naam As String
        Get
            Return _naam
        End Get
    End Property
End Class

Public Class Bediende : Inherits Werknemer
    Private _loon As Decimal
    Public Sub New(naam As String, loon As Decimal)
        MyBase.New(naam)
        _loon = loon
    End Sub
    Public Overrides ReadOnly Property Loon As Decimal
        Get
            Return _loon
        End Get
    End Property
End Class
Public Class Arbeider : Inherits Werknemer
    Private _uurloon As Decimal
    Private _urengewerkt As Integer
    Public Sub New(naam As String, uurloon As Decimal, urengewerkt As Integer)
        MyBase.New(naam)
        Me._uurloon = uurloon
        Me._urengewerkt = urengewerkt
    End Sub
    Public Property UrenGewerkt As Integer
        Get
            Return _urengewerkt
        End Get
        Set(value As Integer)
            _urengewerkt = value
        End Set
    End Property
    Public Property Uurloon As Decimal
        Get
            Return _uurloon
        End Get
        Set(value As Decimal)
            _uurloon = value
        End Set
    End Property
    Public Overrides ReadOnly Property Loon As Decimal
        Get
            Return _urengewerkt * _uurloon
        End Get
    End Property
End Class
