﻿Public Class Form1
    Public Sub New()
        InitializeComponent()
        UpdateStatusBar()
    End Sub
    Private Sub BtnToevoegen_Click(sender As Object, e As EventArgs) Handles BtnToevoegen.Click
        Select Case TabControl1.SelectedIndex
            Case 0
                VoegReisToe()
            Case 1
                VoegKlantToe()
        End Select


    End Sub
    Private Sub VoegKlantToe()
        If ReisBindingSource.Count = 0 Then
            MessageBox.Show("U moet eerst een reis toevoegen")
            Return
        End If
        Using frm As FrmKlant = New FrmKlant(ReisBindingSource.List)
            Dim k As Klant = New Klant With {
                .Reis = DirectCast(ReisBindingSource.List(0), Reis)
            }
            frm.Klant = k
            If frm.ShowDialog() = DialogResult.OK Then
                KlantBindingSource.Add(k)
                UpdateStatusBar()
            End If
        End Using
    End Sub
    Private Sub VoegReisToe()
        Using frm As FrmRreis = New FrmRreis
            Dim r As Reis = New Reis()
            frm.Reis = r
            If frm.ShowDialog() = DialogResult.OK Then
                ReisBindingSource.Add(r)
                UpdateStatusBar()
            End If
        End Using
    End Sub

    Private Sub UpdateStatusBar()
        Select Case TabControl1.SelectedIndex
            Case 0
                ToolStripStatusLabel1.Text = String.Format("Aantal reizen {0}", ReisBindingSource.Count)
            Case 1
                ToolStripStatusLabel1.Text = String.Format("Aantal klanten {0}", KlantBindingSource.Count)
        End Select
    End Sub

    Private Sub TabControl1_SelectedIndexChanged(sender As Object, e As EventArgs) Handles TabControl1.SelectedIndexChanged
        UpdateStatusBar()
    End Sub

End Class
