﻿Public Class Form1
    Private PersoonLijst As List(Of SortablePersoon) = New List(Of SortablePersoon)

    Public Sub New()
        InitializeComponent()
        ListBox1.DataSource = BindingSource1
        BindingSource1.DataSource = PersoonLijst
    End Sub

    Private Sub BtnToevoegen_Click(sender As Object, e As EventArgs) Handles BtnToevoegen.Click
        Dim naam As String = TxtNaam.Text
        Dim geboortedatum As DateTime = DtGeboorteDatum.Value.Date
        Dim pers As SortablePersoon = New SortablePersoon With {
            .Naam = naam,
            .GeboorteDatum = geboortedatum
        }
        BindingSource1.Add(pers)

    End Sub

    Private Sub BtnSorteerNaam_Click(sender As Object, e As EventArgs) Handles BtnSorteerNaam.Click
        PersoonLijst.Sort()
        BindingSource1.ResetBindings(False)
    End Sub

    Private Sub BtnSorteerGebDatum_Click(sender As Object, e As EventArgs) Handles BtnSorteerGebDatum.Click
        PersoonLijst.Sort(Function(s1, s2) s1.GeboorteDatum.CompareTo(s2.GeboorteDatum))
        BindingSource1.ResetBindings(False)
    End Sub
End Class
