﻿Imports OplSortering

Public Class SortablePersoon
    Implements IComparable(Of SortablePersoon)
    Public Property Naam As String
    Public Property GeboorteDatum As DateTime
    Public Function CompareTo(other As SortablePersoon) As Integer Implements IComparable(Of SortablePersoon).CompareTo
        If other Is Nothing Then Return 1
        Return String.Compare(Naam, other.Naam)
    End Function
    Public Overrides Function Equals(obj As Object) As Boolean
        If obj Is Nothing Then Return False
        Dim other As SortablePersoon = TryCast(obj, SortablePersoon)
        If other Is Nothing Then Return False
        Return Naam.Equals(other.Naam)
    End Function
    Public Overrides Function GetHashCode() As Integer
        Return Naam.GetHashCode
    End Function
    Public Overrides Function ToString() As String
        Return String.Format("{0} ({1:d})", Naam, GeboorteDatum)
    End Function
End Class
