﻿Module Module1

    Sub Main()
        Console.Write("Geef beginsaldo: ")
        Dim saldo As Decimal = Convert.ToDecimal(Console.ReadLine())
        Try
            Dim br As BankRekening = New BankRekening(saldo)
            br.Storten(300)
            br.Afhalen(400)
            Console.WriteLine("Het huidig saldo is {0}", br.Saldo)
        Catch ex As BankrekeningException
            Console.WriteLine(ex.Message)
        End Try
    End Sub

End Module
Public Class BankRekening
    Private _saldo As Decimal
    Public Sub New(ByVal saldo As Decimal)
        Me._saldo = saldo
    End Sub

    Public Property Saldo As Decimal

        Get
            Return _saldo
        End Get

        Private Set
            If Value < 0 Then Throw New BankrekeningException("Mag niet negatief")
            _saldo = Value
        End Set
    End Property
    Public Sub Storten(ByVal bedrag As Decimal)

        Saldo = _saldo + bedrag
    End Sub
    Public Sub Afhalen(ByVal bedrag As Decimal)
        Storten(-bedrag)
    End Sub
End Class

Public Class BankrekeningException
    Inherits System.Exception

    Public Sub New(ByVal message As String)
        MyBase.New(message)
    End Sub

    Public Sub New(ByVal message As String, ByVal inner As Exception)
        MyBase.New(message, inner)
    End Sub
End Class
