﻿Module Module1

    Sub Main()
        Dim _bank As Bank = New Bank
        For Index As Integer = 0 To 1
            Console.Write("Geef rekeningnummer: ")
            Dim _reknr As String = Console.ReadLine
            Console.Write("Geef saldo: ")
            Dim _saldo As Decimal = Convert.ToDecimal(Console.ReadLine)
            Dim _rek As BankRekening = New BankRekening With {
                .Rekeningnr = _reknr,
                .Saldo = _saldo
            }
            _bank.AddRekening(_rek)
        Next
        Console.Write("Geef rekeningnummer dat gezocht moet worden: ")
        Dim _tezoeken = Console.ReadLine
        Dim _rekgezocht As BankRekening = _bank(_tezoeken)
        If _rekgezocht IsNot Nothing Then
            Console.WriteLine("{0} {1}", _rekgezocht.Rekeningnr, _rekgezocht.Saldo)
        Else
            Console.WriteLine("Rekening niet gevonden")
        End If
    End Sub

End Module
Public Class Bank
    Private _rekeningen(10) As BankRekening
    Private _aantalRekeningen As Integer
    Public Sub AddRekening(ByVal rek As BankRekening)
        _rekeningen(_aantalRekeningen) = rek
        _aantalRekeningen += 1
    End Sub
    Default Public ReadOnly Property Item(ByVal reknr As String)
        Get
            Return ZoekRekening(reknr)
        End Get
    End Property
    Private Function ZoekRekening(ByVal reknr As String) As BankRekening
        Dim rek As BankRekening = Nothing
        For index As Integer = 0 To _aantalRekeningen - 1
            If _rekeningen(index).Rekeningnr = reknr Then
                rek = _rekeningen(index)
            End If
        Next
        Return rek
    End Function
End Class
Public Class BankRekening
    Private _rekeningnr As String
    Public Property Rekeningnr As String
        Get
            Return _rekeningnr
        End Get
        Set(value As String)
            _rekeningnr = value
        End Set
    End Property
    Private _saldo As Decimal
    Public Property Saldo As Decimal
        Get
            Return _saldo
        End Get
        Set(value As Decimal)
            _saldo = value
        End Set
    End Property
End Class
